#
# spec file for package rubygem-addressable
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-addressable
Version:        2.8.7
Release:        1.3
%define mod_name addressable
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/sporkmonger/addressable
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        URI Implementation
License:        Apache-2.0

%description
Addressable is an alternative implementation to the URI implementation that is
part of Ruby's standard library. It is flexible, offers heuristic parsing, and
additionally provides extensive support for IRIs and URI templates.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Jul 16 2024 Dan Čermák <dan.cermak@posteo.net>
- # Addressable 2.8.7 <a name="v2.8.7">
- Allow `public_suffix` 6 ([#535])
  [#535]: https://github.com/sporkmonger/addressable/pull/535
* Mon Dec 25 2023 Илья Индиго <ilya@ilya.cf>
- Updated to 2.8.6
  * Memoize regexps for common character classes.
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- # Addressable 2.8.5
- Fix thread safety issue with encoding tables ([#515])
- Define URI::NONE as a module to avoid serialization issues ([#509])
- Fix YAML serialization ([#508])
  [#508]: https://github.com/sporkmonger/addressable/pull/508
  [#509]: https://github.com/sporkmonger/addressable/pull/509
  [#515]: https://github.com/sporkmonger/addressable/pull/515
* Sat Jun 10 2023 Andrea Manzini <andrea.manzini@suse.com>
- updated to version 2.8.4
  * Restore Addressable::IDNA.unicode_normalize_kc as a deprecated method
- updated to version 2.8.3
  * Fix template expand level 2 hash support for non-string objects
- updated to version 2.8.2
  * Improve cache hits and JIT friendliness
  * Improve code style and test coverage
  * Ensure reset of deferred validation
  * Resolve normalization differences between IDNA::Native and IDNA::Pure
  * Remove redundant colon in Addressable::URI::CharacterClasses::AUTHORITY
* Fri Aug 26 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.8.1
  * refactor `Addressable::URI.normalize_path` to address linter offenses ([#430](https://github.com/sporkmonger/addressable/pull/430))
  * remove redundant colon in `Addressable::URI::CharacterClasses::AUTHORITY` regex ([#438](https://github.com/sporkmonger/addressable/pull/438))
  * update gemspec to reflect supported Ruby versions ([#466], [#464], [#463])
  * compatibility w/ public_suffix 5.x ([#466], [#465], [#460])
  * fixes "invalid byte sequence in UTF-8" exception when unencoding URLs containing non UTF-8 characters ([#459](https://github.com/sporkmonger/addressable/pull/459))
  * `Ractor` compatibility ([#449](https://github.com/sporkmonger/addressable/pull/449))
  * use the whole string instead of a single line for template match ([#431](https://github.com/sporkmonger/addressable/pull/431))
  * force UTF-8 encoding only if needed ([#341](https://github.com/sporkmonger/addressable/pull/341))
  [#460]: https://github.com/sporkmonger/addressable/pull/460
  [#463]: https://github.com/sporkmonger/addressable/pull/463
  [#464]: https://github.com/sporkmonger/addressable/pull/464
  [#465]: https://github.com/sporkmonger/addressable/pull/465
  [#466]: https://github.com/sporkmonger/addressable/pull/466
* Sat Jul 10 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.8.0
  * fixes ReDoS vulnerability in Addressable::Template#match
  * no longer replaces `+` with spaces in queries for non-http(s) schemes
  * fixed encoding ipv6 literals
  * the `:compacted` flag for `normalized_query` now dedupes parameters
  * fix broken `escape_component` alias
  * dropping support for Ruby 2.0 and 2.1
  * adding Ruby 3.0 compatibility for development tasks
  * drop support for `rack-mount` and remove Addressable::Template#generate
  * performance improvements
  * switch CI/CD to GitHub Actions
* Mon Sep  2 2019 Dan Čermák <dcermak@suse.com>
- New upstream release 2.7.0
  * added `:compacted` flag to `normalized_query`
  * `heuristic_parse` handles `mailto:` more intuitively
  * refactored validation to use a prepended module
  * dropped explicit support for JRuby 9.0.5.0
  * compatibility w/ public_suffix 4.x
  * performance improvements
* Wed Aug  7 2019 Dan Čermák <dcermak@suse.com>
- Update public_suffix gem dependency to < 5.0
* Fri Feb  8 2019 mschnitzer@suse.com
- updated to version 2.6.0
  * added `tld=` method to allow assignment to the public suffix
  * most `heuristic_parse` patterns are now case-insensitive
  * `heuristic_parse` handles more `file://` URI variations
  * fixes bug in `heuristic_parse` when uri starts with digit
  * fixes bug in `request_uri=` with query strings
  * fixes template issues with `nil` and `?` operator
  * `frozen_string_literal` pragmas added
  * minor performance improvements in regexps
  * fixes to eliminate warnings
* Sun Sep  3 2017 coolo@suse.com
- updated to version 2.5.2
  see installed CHANGELOG.md
  [#] Addressable 2.5.2
  - better support for frozen string literals
  - fixed bug w/ uppercase characters in scheme
  - IDNA errors w/ emoji URLs
  - compatibility w/ public_suffix 3.x
* Thu Mar 30 2017 coolo@suse.com
- updated to version 2.5.1
  see installed CHANGELOG.md
  [#] Addressable 2.5.1
  - allow unicode normalization to be disabled for URI Template expansion
  - removed duplicate test
* Sat Nov  5 2016 coolo@suse.com
- updated to version 2.5.0
  see installed CHANGELOG.md
  [#] Addressable 2.5.0
  - dropping support for Ruby 1.9
  - adding support for Ruby 2.4 preview
  - add support for public suffixes and tld; first runtime dependency
  - hostname escaping should match RFC; underscores in hostnames no longer escaped
  - paths beginning with // and missing an authority are now considered invalid
  - validation now also takes place after setting a path
  - handle backslashes in authority more like a browser for `heuristic_parse`
  - unescaped backslashes in host now raise an `InvalidURIError`
  - `merge!`, `join!`, `omit!` and `normalize!` don't disable deferred validation
  - `heuristic_parse` now trims whitespace before parsing
  - host parts longer than 63 bytes will be ignored and not passed to libidn
  - normalized values always encoded as UTF-8
* Mon Dec  7 2015 coolo@suse.com
- updated to version 2.4.0
  see installed CHANGELOG.md
  [#] Addressable 2.4.0
  - support for 1.8.x dropped
  - double quotes in a host now raises an error
  - newlines in host will no longer get unescaped during normalization
  - stricter handling of bogus scheme values
  - stricter handling of encoded port values
  - calling `require 'addressable'` will now load both the URI and Template files
  - assigning to the `hostname` component with an `IPAddr` object is now supported
  - assigning to the `origin` component is now supported
  - fixed minor bug where an exception would be thrown for a missing ACE suffix
  - better partial expansion of URI templates
* Wed Apr  8 2015 coolo@suse.com
- updated to version 2.3.8
  - fix warnings
  - update dependency gems
  - support for 1.8.x officially deprecated
* Fri Feb  6 2015 coolo@suse.com
- updated to version 2.3.7
  - fix scenario in which invalid URIs don't get an exception until inspected
  - handle hostnames with two adjacent periods correctly
  - upgrade of RSpec
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Mar 24 2014 coolo@suse.com
- updated to version 2.3.6
  - normalization drops empty query string
  - better handling in template extract for missing values
  - template modifier for `'?'` now treated as optional
  - fixed issue where character class parameters were modified
  - templates can now be tested for equality
  - added `:sorted` option to normalization of query strings
  - fixed issue with normalization of hosts given in `'example.com.'` form
* Fri Jul 12 2013 coolo@suse.com
- updated to version 2.3.5
  - added Addressable::URI#empty? method
  - Addressable::URI#hostname methods now strip square brackets from IPv6 hosts
  - compatibility with Net::HTTP in Ruby 2.0.0
  - Addressable::URI#route_from should always give relative URIs
* Sat Apr 27 2013 coolo@suse.com
- updated to version 2.3.4
  - fixed issue with encoding altering its inputs
  - query string normalization now leaves ';' characters alone
  - FakeFS is detected before attempting to load unicode tables
  - additional testing to ensure frozen objects don't cause problems
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.3.3
  - fixed issue with converting common primitives during template expansion
  - fixed port encoding issue
  - removed a few warnings
  - normalize should now ignore %%2B in query strings
  - the IDNA logic should now be handled by libidn in Ruby 1.9
  - no template match should now result in nil instead of an empty MatchData
  - added license information to gemspec
* Sat Jul 28 2012 coolo@suse.com
- update to 2.3.2
  - added Addressable::URI#default_port method
  - fixed issue with Marshalling Unicode data on Windows
  - improved heuristic parsing to better handle IPv4 addresses
* Sun Jul 22 2012 coolo@suse.com
- update to 2.3.1
  - fixed missing unicode data file
  - updated Addressable::Template to use RFC 6570, level 4
  - fixed compatibility problems with some versions of Ruby
  - moved unicode tables into a data file for performance reasons
  - removing support for multiple query value notations
* Tue Jun  5 2012 cfarrell@suse.com
- license update: Apache-2.0
  Look at the LICENSE.txt file
* Sun May  6 2012 coolo@suse.com
- update to 2.2.8
  - fixed issues with dot segment removal code
  - form encoding can now handle multiple values per key
  - updated development environment
* Fri Oct  7 2011 fcastelli@suse.com
- Update to 2.2.6
* Tue May 10 2011 visnov@suse.cz
- fix license - MIT
* Tue Mar 29 2011 kkaempf@novell.com
- update to 2.2.4 (for dm-core 1.1.0)
- split off -doc subpackage
* Tue Jan 11 2011 aduffeck@novell.com
- update to version 2.2.2
  * added site methods
  * improved documentation
  * added support for application/x-www-form-urlencoded.
  * fixed issue with percent escaping of '+' character in query strings
* Thu Jun 10 2010 mrueckert@suse.de
- update to version 2.1.2
  * added HTTP request URI methods
  * better handling of Windows file paths
  * validation_deferred boolean replaced with defer_validation block
  * normalization of percent-encoded paths should now be correct
  * fixed issue with constructing URIs with relative paths
  * fixed warnings
- drop development requirements
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- update to 2.1.1
* Sat Aug 29 2009 dmacvicar@novell.com
- downgrade to 2.0.2 until dm-core 0.10.0 gets released
* Sun Jul 26 2009 dmacvicar@suse.de
- update to 2.1.0
* Mon Mar 23 2009 dmacvicar@suse.de
- initial package
